ur_rna.StructureEditor.services.fileIO

## Class DrawingFileIO.TextWriter

- java.lang.Object
- - ur_rna.StructureEditor.services.fileIO.DrawingFileIO.TextWriter

- Direct Known Subclasses:
    DrawingFileIO.CTEWriter
  Enclosing class:
    DrawingFileIO

      public static class DrawingFileIO.TextWriter
      extends java.lang.Object

  Simplifies writing tabular text data in which the table formatting is achieved by padding values with spaces. This class contains several "write" methods that accept an integer "padding" value. These pad spaces onto the content. The padding will be on the left or right depending on whether the sign of the padding value is positive or negative, respectively. (i.e. positive = LEFT-pad, negative = RIGHT-pad).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.io.Writer` | `writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextWriter(java.io.Writer writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DrawingFileIO.TextWriter` | `space()` Write a single space character.
    `DrawingFileIO.TextWriter` | `space(int count)` Write the specified number of space characters.
    `DrawingFileIO.TextWriter` | `write(char c)`
    `DrawingFileIO.TextWriter` | `write(int value)`
    `DrawingFileIO.TextWriter` | `write(int padding, char c)`
    `DrawingFileIO.TextWriter` | `write(int padding, int value)`
    `DrawingFileIO.TextWriter` | `write(int padding, java.lang.Number value)`
    `DrawingFileIO.TextWriter` | `write(int padding, java.lang.String value)` Write a value padded with spaces on the left (if padding is positive) or right (if padding is negative).
    `DrawingFileIO.TextWriter` | `write(java.lang.Number value)`
    `DrawingFileIO.TextWriter` | `write(java.lang.String s)`
    `void` | `writeln()` Write a system-specific line separator

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### writer

          protected final java.io.Writer writer

  - ### Constructor Detail

    - #### TextWriter

          public TextWriter(java.io.Writer writer)

  - ### Method Detail

    - #### space

          public DrawingFileIO.TextWriter space()

      Write a single space character.

    - #### space

          public DrawingFileIO.TextWriter space(int count)

      Write the specified number of space characters.

    - #### write

          public DrawingFileIO.TextWriter write(char c)

    - #### write

          public DrawingFileIO.TextWriter write(int value)

    - #### write

          public DrawingFileIO.TextWriter write(int padding,
                                                char c)

    - #### write

          public DrawingFileIO.TextWriter write(int padding,
                                                int value)

    - #### write

          public DrawingFileIO.TextWriter write(int padding,
                                                java.lang.Number value)

    - #### write

          public DrawingFileIO.TextWriter write(int padding,
                                                java.lang.String value)

      Write a value padded with spaces on the left (if padding is positive) or right (if padding is negative).

    - #### write

          public DrawingFileIO.TextWriter write(java.lang.Number value)

    - #### write

          public DrawingFileIO.TextWriter write(java.lang.String s)

    - #### writeln

          public void writeln()

      Write a system-specific line separator